vectorise: Put it out of its misery
ClosedPublic

Authored by bgamari on May 31 2018, 4:23 PM.

Details

Summary

Poor DPH and its vectoriser have long been languishing; sadly it seems there is
little chance that the effort will be rekindled. Every few years we discuss
what to do with this mass of code and at least once we have agreed that it
should be archived on a branch and removed from master. Here we do just that,
eliminating heaps of dead code in the process.

Here we drop the ParallelArrays extension, the vectoriser, and the vector and
primitive submodules.

Test Plan

Validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bgamari created this revision.May 31 2018, 4:23 PM
bgamari edited the summary of this revision. (Show Details)May 31 2018, 4:28 PM
bgamari updated this revision to Diff 16625.Jun 1 2018, 12:01 AM

Update testsuite output

Sadly I agree.

Please make a ticket with the Summary in it, and any other notes. And the commit when you make it. That way it'll be easier to find if someone wants to resurrect it.

simonmar accepted this revision.Jun 2 2018, 1:53 AM

Good call.

This revision is now accepted and ready to land.Jun 2 2018, 1:53 AM
bgamari updated this revision to Diff 16642.Jun 2 2018, 11:46 AM

Rebase it

This revision was automatically updated to reflect the committed changes.